#
# illumian 1.x Profile
#

#
# REQ_DEBS
#
REQ_DEBS="\
sunwcs \
sunwcsd \
file-gnu-coreutils \
system-kernel \
system-kernel-cpu-counters \
system-kernel-dynamic-reconfiguration-i86pc \
system-kernel-power \
system-kernel-platform \
system-kernel-power \
system-kernel-secure-rpc \
system-kernel-security-gss \
system-kernel-suspend-resume \
compress-bzip2 \
compress-gzip \
crypto-ca-certificates \
database-sqlite-3 \
editor-vim \
install-beadm \
library-libffi \
library-libidn \
library-libtecla \
library-libxml2 \
library-ncurses \
library-nspr \
library-readline \
library-security-trousers \
library-zlib \
naming-ldap \
network-bridging \
network-ftp \
network-ssh \
network-ssh-ssh-key \
print-lp-print-client-commands \
release-name \
runtime-python-26 \
runtime-tcl-8 \
runtime-tk-8 \
service-fault-management \
service-file-system-smb \
service-network-dns-mdns \
service-network-network-clients \
service-network-ssh \
service-picl \
service-resource-pools \
service-security-gss \
service-security-kerberos-5 \
shell-bash \
system-boot-wanboot \
system-data-keyboard-keytables \
system-extended-system-utilities \
system-file-system-autofs \
system-file-system-nfs \
system-file-system-smb \
system-file-system-zfs \
system-kernel-secure-rpc \
system-library \
system-library-c++-sunpro \
system-library-iconv-utf-8 \
system-library-libdiskmgt \
system-library-math \
system-library-mozilla-nss \
system-library-security-gss \
system-library-security-gss-diffie-hellman \
system-library-security-gss-spnego \
system-library-security-libgcrypt \
system-library-security-libsasl \
system-library-storage-scsi-plugins \
system-network \
system-network-routing \
system-xopen-xcu4 \
system-zones \
text-doctools \
text-groff \
text-less \
text-locale \
locale-en \
\
system-boot-grub \
system-boot-real-mode \
system-data-hardware-registry \
media-cdrtools \
text-gnu-sed \
text-gnu-grep \
text-gawk \
archiver-gnu-tar \
system-library-gcc-44-runtime \
dpkg \
icore-keyring \
crypto-gnupg \
apt \
apt-utils \
terminal-dialog \
terminal-screen \
base-files \
\
runtime-perl \
library-perl-5-sun-solaris \
"

#
# MINIMAL_CMN_DEBS
#
#
MINIMAL_CMN_DEBS="\
sunwcsd \
sunwcs \
system-library \
system-kernel \
system-kernel-platform \
apt \
dpkg \
"

#
# STAGE0_DEBS - the content of InstallCD miniroot
#               (generally speaking, this is Installer requirements)
#
STAGE0_DEBS=""

#
# CD stage
#
STAGE0_CD="\
text-texinfo \
install-beadm \
network-ftp \
developer-debug-mdb \
developer-debug-mdb-module-module-qlc \
developer-dtrace \
developer-linker \
driver-network-platform \
library-libtecla \
library-security-trousers \
network-ssh \
network-ssh-ssh-key \
service-hal \
service-fault-management \
service-network-dns-mdns \
service-network-network-clients \
service-network-ssh \
service-resource-pools \
system-boot-grub \
system-boot-real-mode \
system-data-hardware-registry \
system-file-system-zfs \
system-kernel \
system-kernel-cpu-counters \
system-kernel-dynamic-reconfiguration-i86pc \
system-kernel-platform \
system-kernel-power \
system-kernel-secure-rpc \
system-kernel-security-gss \
system-kernel-suspend-resume \
system-library-libdiskmgt \
system-library-platform \
system-library-policykit \
system-library-processor \
system-library-math \
system-library-security-libgcrypt \
system-network \
system-network-routing \
system-scheduler-fss \
system-trusted \
service-storage-avs-cache-management \
storage-svm \
system-library-iconv-utf-8 \
media-cdrtools \
text-less \
editor-vim \
web-wget \
compress-bzip2 \
compress-gzip \
text-locale \
archiver-gnu-tar \
\
runtime-perl \
library-perl-5-sun-solaris \
\
terminal-screen \
text-gnu-grep \
text-gnu-sed \
file-gnu-findutils \
file-gnu-coreutils \
text-gawk \
"

#
# CD stage
#
STAGE0_CD_END="\
terminal-dialog \
"

#
# STAGE0_APTINST
#
STAGE0_APTINST="$STAGE0_CD \
system-kernel-dtrace-providers \
system-kernel-dtrace-providers-xdt \
service-network-wpa \
storage-metassist \
system-accounting-legacy \
system-data-keyboard-keytables \
system-data-terminfo \
system-extended-system-utilities \
system-fault-management-eversholt-utilities \
system-flash-fwflash \
system-fru-id \
system-fru-id-platform \
system-ipc \
system-kernel-rsmops \
system-management-intel-amt \
system-management-pcitool \
system-management-wbem-data-management \
system-network-wificonfig \
system-security-kerberos-5 \
system-storage-parted \
system-tnf \
\
system-file-system-nfs \
service-file-system-nfs \
system-file-system-smb \
service-file-system-smb \
system-zones \
network-ipfilter \
"

STAGE0_APTINST_OLD=" \
"

#
# STAGE0_HDD_END
#
#
STAGE0_HDD_END="\
service-network-ntp \
system-library-dbus \
system-library-libdbus-glib \
text-doctools \
library-nspr \
security-sudo \
package-svr4 \
locale-en \
"

#
# STAGE0_DRIVERS -
#
#
STAGE0_DRIVERS2="\
driver-audio-audio810 \
driver-audio-audiocmi \
driver-audio-audioemu10k \
driver-audio-audiohd \
driver-audio-audioixp \
driver-audio-audiols \
driver-audio-audiop16x \
driver-audio-audiosolo \
driver-audio-audiovia823x \
driver-audio-audiovia97 \
driver-audio \
driver-graphics-agpgart \
driver-graphics-atiatom \
driver-graphics-av1394 \
driver-graphics-dcam1394-devfsadm-dcam1394 \
driver-graphics-dcam1394 \
driver-graphics-drm \
driver-graphics-usbvc \
driver-x11-winlock \
driver-x11-xsvc \
driver-firewire"

STAGE0_DRIVERS="\
driver-crypto-dca \
driver-crypto-dprov \
driver-crypto-tpm \
driver-pcmcia \
driver-i86pc-fipe \
driver-i86pc-ioat \
driver-i86pc-platform \
driver-network-afe \
driver-network-amd8111s \
driver-network-arbel \
driver-network-arn \
driver-network-atge \
driver-network-ath \
driver-network-atu \
driver-network-bfe \
driver-network-bge \
driver-network-bnx \
driver-network-bnxe \
driver-network-bpf \
driver-network-chxge \
driver-network-dmfe \
driver-network-e1000g \
driver-network-efe \
driver-network-elxl \
driver-network-emlxs \
driver-network-fcip \
driver-network-fcoe \
driver-network-fcoei \
driver-network-fcoet \
driver-network-fcp \
driver-network-fcsm \
driver-network-fp \
driver-network-hermon \
driver-network-hme \
driver-network-hxge \
driver-network-ib \
driver-network-ibdma \
driver-network-ibp \
driver-network-igb \
driver-network-iprb \
driver-network-ipw \
driver-network-iwh \
driver-network-iwi \
driver-network-iwk \
driver-network-iwp \
driver-network-ixgb \
driver-network-ixgbe \
driver-network-mwl \
driver-network-mxfe \
driver-network-myri10ge \
driver-network-nge \
driver-network-ntxn \
driver-network-nxge \
driver-network-ofk \
driver-network-pcan \
driver-network-pcwl \
driver-network-platform \
driver-network-qlc \
driver-network-ral \
driver-network-rds \
driver-network-rdsv3 \
driver-network-rge \
driver-network-rpcib \
driver-network-rtls \
driver-network-rtw \
driver-network-rum \
driver-network-rwd \
driver-network-rwn \
driver-network-sdp \
driver-network-sdpib \
driver-network-sfe \
driver-network-srpt \
driver-network-tavor \
driver-network-uath \
driver-network-ural \
driver-network-urtw \
driver-network-usbecm \
driver-network-vr \
driver-network-wpi \
driver-network-xge \
driver-network-yge \
driver-network-zyd \
driver-serial-pcser \
driver-serial-usbftdi \
driver-serial-usbsacm \
driver-serial-usbser-edge \
driver-serial-usbser \
driver-serial-usbsksp-usbs49-fw \
driver-serial-usbsksp \
driver-serial-usbsprl \
driver-storage-aac \
driver-storage-adpu320 \
driver-storage-ahci \
driver-storage-amr \
driver-storage-arcmsr \
driver-storage-ata \
driver-storage-bcm-sata \
driver-storage-blkdev \
driver-storage-cpqary3 \
driver-storage-glm \
driver-storage-lsimega \
driver-storage-marvell88sx \
driver-storage-mega-sas \
driver-storage-mpt-sas \
driver-storage-mr-sas \
driver-storage-nv-sata \
driver-storage-pcata \
driver-storage-pmcs \
driver-storage-sbp2 \
driver-storage-scsa1394 \
driver-storage-sdcard \
driver-storage-ses \
driver-storage-si3124 \
driver-storage-smp \
driver-storage-sv \
driver-usb-ugen \
driver-usb \
driver-xvm-pv \
"

STAGE0_DRIVERS="$STAGE0_DRIVERS $STAGE0_DRIVERS2"

#
# STAGE0_EXCLUDE_DEBS -
#
#
STAGE0_EXCLUDE_DEBS=""

#
# LOCAL_ARCHIVE_DEBS - the content of on-ISO APT repository
#                      (what will be installed by default)
#
LOCAL_ARCHIVE_DEBS=""

#
# Various installer-specific settings
# (see nbld-bootstrap source code for details)
#
product_title="illumian"
os_version="v1.0"
sw_version="1.0a5"
sw_description="(based on illumos)"
grub_n_title="illumian"
grub_s_title="illumian"
rootsize1="1024"
profile1="illumian-core"
lines1="3000"
desc1="Standard Core installation profile"
longdesc1=""
profiles="1"
release_file="core-release.txt"
apt_sources="http://apt.illumian.org/illumian illumian-testing main contrib non-free"
ks_min_mem_required="256"
ks_rootdisk_type="zfs"
ks_rootdisk_name="rpool/ROOT/illumian"
ks_rootdisks=
ks_auto_reboot="0"
ks_use_grub_mbr="1"
ks_autopart_manual="0"
ks_autopart_use_swap_zvol="1"
mode_type="install"
